/*
contributors: Patricio Gonzalez Vivo
description: "RGB colors from Rembrandt's oil paint colors. \nBased on https://sensuallogic.com/artistcolordata\n"
examples:
    - https://raw.githubusercontent.com/patriciogonzalezvivo/lygia_examples/main/color_pigments.frag
license:
    - Copyright (c) 2021 Patricio Gonzalez Vivo under Prosperity License - https://prosperitylicense.com/versions/3.0.0
    - Copyright (c) 2021 Patricio Gonzalez Vivo under Patron License - https://lygia.xyz/license
*/

#ifndef REMBRANDT_OIL_TITANIUM_WHITE
#define REMBRANDT_OIL_TITANIUM_WHITE vec3(0.992, 0.996, 0.976)
#endif
#ifndef TITANIUM_WHITE
#define TITANIUM_WHITE REMBRANDT_OIL_TITANIUM_WHITE
#endif

#ifndef REMBRANDT_OIL_CADM_YELLOW_LEMON
#define REMBRANDT_OIL_CADM_YELLOW_LEMON vec3(0.973, 0.871, 0.008)
#endif
#ifndef CADM_YELLOW_LEMON
#define CADM_YELLOW_LEMON REMBRANDT_OIL_CADM_YELLOW_LEMON
#endif

#ifndef REMBRANDT_OIL_CADMIUM_ORANGE
#define REMBRANDT_OIL_CADMIUM_ORANGE vec3(1.000, 0.431, 0.055)
#endif
#ifndef CADMIUM_ORANGE
#define CADMIUM_ORANGE REMBRANDT_OIL_CADMIUM_ORANGE
#endif

#ifndef REMBRANDT_OIL_YELLOW_OCHRE
#define REMBRANDT_OIL_YELLOW_OCHRE vec3(0.675, 0.467, 0.149)
#endif
#ifndef YELLOW_OCHRE
#define YELLOW_OCHRE REMBRANDT_OIL_YELLOW_OCHRE
#endif

#ifndef REMBRANDT_OIL_ORANGE_OCHRE
#define REMBRANDT_OIL_ORANGE_OCHRE vec3(0.576, 0.298, 0.173)
#endif
#ifndef ORANGE_OCHRE
#define ORANGE_OCHRE REMBRANDT_OIL_ORANGE_OCHRE
#endif

#ifndef REMBRANDT_OIL_RAW_SIENNA
#define REMBRANDT_OIL_RAW_SIENNA vec3(0.545, 0.373, 0.184)
#endif
#ifndef RAW_SIENNA
#define RAW_SIENNA REMBRANDT_OIL_RAW_SIENNA
#endif

#ifndef REMBRANDT_OIL_CADMIUM_YELLOW
#define REMBRANDT_OIL_CADMIUM_YELLOW vec3(1.000, 0.753, 0.000)
#endif
#ifndef CADMIUM_YELLOW
#define CADMIUM_YELLOW REMBRANDT_OIL_CADMIUM_YELLOW
#endif

#ifndef REMBRANDT_OIL_CADMIUM_RED_LIGHT
#define REMBRANDT_OIL_CADMIUM_RED_LIGHT vec3(0.906, 0.220, 0.031)
#endif
#ifndef CADMIUM_RED_LIGHT
#define CADMIUM_RED_LIGHT REMBRANDT_OIL_CADMIUM_RED_LIGHT
#endif

#ifndef REMBRANDT_OIL_CADMIUM_RED_DEEP
#define REMBRANDT_OIL_CADMIUM_RED_DEEP vec3(0.714, 0.082, 0.137)
#endif
#ifndef CADMIUM_RED_DEEP
#define CADMIUM_RED_DEEP REMBRANDT_OIL_CADMIUM_RED_DEEP
#endif

#ifndef REMBRANDT_OIL_VERMILION
#define REMBRANDT_OIL_VERMILION vec3(0.961, 0.271, 0.000)
#endif
#ifndef VERMILION
#define VERMILION REMBRANDT_OIL_VERMILION
#endif

#ifndef REMBRANDT_OIL_CADMIUM_RED
#define REMBRANDT_OIL_CADMIUM_RED vec3(0.804, 0.149, 0.118)
#endif
#ifndef CADMIUM_RED
#define CADMIUM_RED REMBRANDT_OIL_CADMIUM_RED
#endif

#ifndef REMBRANDT_OIL_CARMINE
#define REMBRANDT_OIL_CARMINE vec3(0.439, 0.067, 0.110)
#endif
#ifndef CARMINE
#define CARMINE REMBRANDT_OIL_CARMINE
#endif

#ifndef REMBRANDT_OIL_SCARLET
#define REMBRANDT_OIL_SCARLET vec3(0.561, 0.063, 0.137)
#endif
#ifndef SCARLET
#define SCARLET REMBRANDT_OIL_SCARLET
#endif

#ifndef REMBRANDT_OIL_PERMANENT_MADDER
#define REMBRANDT_OIL_PERMANENT_MADDER vec3(0.388, 0.118, 0.169)
#endif
#ifndef PERMANENT_MADDER
#define PERMANENT_MADDER REMBRANDT_OIL_PERMANENT_MADDER
#endif

#ifndef REMBRANDT_OIL_VENETIAN_RED
#define REMBRANDT_OIL_VENETIAN_RED vec3(0.471, 0.188, 0.149)
#endif
#ifndef VENETIAN_RED
#define VENETIAN_RED REMBRANDT_OIL_VENETIAN_RED
#endif

#ifndef REMBRANDT_OIL_QUINACRIDONE_ROSE
#define REMBRANDT_OIL_QUINACRIDONE_ROSE vec3(0.498, 0.102, 0.165)
#endif
#ifndef QUINACRIDONE_ROSE
#define QUINACRIDONE_ROSE REMBRANDT_OIL_QUINACRIDONE_ROSE
#endif

#ifndef REMBRANDT_OIL_RAW_UMBER
#define REMBRANDT_OIL_RAW_UMBER vec3(0.196, 0.169, 0.149)
#endif
#ifndef RAW_UMBER
#define RAW_UMBER REMBRANDT_OIL_RAW_UMBER
#endif

#ifndef REMBRANDT_OIL_BURNT_UMBER
#define REMBRANDT_OIL_BURNT_UMBER vec3(0.235, 0.157, 0.137)
#endif
#ifndef BURNT_UMBER
#define BURNT_UMBER REMBRANDT_OIL_BURNT_UMBER
#endif

#ifndef REMBRANDT_OIL_BURNT_SIENNA
#define REMBRANDT_OIL_BURNT_SIENNA vec3(0.396, 0.220, 0.184)
#endif
#ifndef BURNT_SIENNA
#define BURNT_SIENNA REMBRANDT_OIL_BURNT_SIENNA
#endif

#ifndef REMBRANDT_OIL_ULTRAMARINE
#define REMBRANDT_OIL_ULTRAMARINE vec3(0.118, 0.114, 0.627)
#endif
#ifndef ULTRAMARINE
#define ULTRAMARINE REMBRANDT_OIL_ULTRAMARINE
#endif

#ifndef REMBRANDT_OIL_ULTRAMARINE_VIOLET
#define REMBRANDT_OIL_ULTRAMARINE_VIOLET vec3(0.306, 0.263, 0.584)
#endif
#ifndef ULTRAMARINE_VIOLET
#define ULTRAMARINE_VIOLET REMBRANDT_OIL_ULTRAMARINE_VIOLET
#endif

#ifndef REMBRANDT_OIL_PRUSSIAN_BLUE
#define REMBRANDT_OIL_PRUSSIAN_BLUE vec3(0.094, 0.110, 0.169)
#endif
#ifndef PRUSSIAN_BLUE
#define PRUSSIAN_BLUE REMBRANDT_OIL_PRUSSIAN_BLUE
#endif

#ifndef REMBRANDT_OIL_COBALT_BLUE
#define REMBRANDT_OIL_COBALT_BLUE vec3(0.094, 0.157, 0.392)
#endif
#ifndef COBALT_BLUE
#define COBALT_BLUE REMBRANDT_OIL_COBALT_BLUE
#endif

#ifndef REMBRANDT_OIL_CERULEAN_BLUE
#define REMBRANDT_OIL_CERULEAN_BLUE vec3(0.000, 0.475, 0.761)
#endif
#ifndef CERULEAN_BLUE
#define CERULEAN_BLUE REMBRANDT_OIL_CERULEAN_BLUE
#endif

#ifndef REMBRANDT_OIL_PERMANENT_VIOLET
#define REMBRANDT_OIL_PERMANENT_VIOLET vec3(0.388, 0.000, 0.212)
#endif
#ifndef PERMANENT_VIOLET
#define PERMANENT_VIOLET REMBRANDT_OIL_PERMANENT_VIOLET
#endif

#ifndef REMBRANDT_OIL_COBALT_VIOLET
#define REMBRANDT_OIL_COBALT_VIOLET vec3(0.518, 0.239, 0.435)
#endif
#ifndef COBALT_VIOLET
#define COBALT_VIOLET REMBRANDT_OIL_COBALT_VIOLET
#endif

#ifndef REMBRANDT_OIL_PERMANENT_BLUE_VIOLET
#define REMBRANDT_OIL_PERMANENT_BLUE_VIOLET vec3(0.341, 0.094, 0.447)
#endif
#ifndef PERMANENT_BLUE_VIOLET
#define PERMANENT_BLUE_VIOLET REMBRANDT_OIL_PERMANENT_BLUE_VIOLET
#endif

#ifndef REMBRANDT_OIL_PHTHALO_BLUE_GREEN
#define REMBRANDT_OIL_PHTHALO_BLUE_GREEN vec3(0.114, 0.086, 0.220)
#endif
#ifndef PHTHALO_BLUE_GREEN
#define PHTHALO_BLUE_GREEN REMBRANDT_OIL_PHTHALO_BLUE_GREEN
#endif

#ifndef REMBRANDT_OIL_PHTHALO_BLUE_RED
#define REMBRANDT_OIL_PHTHALO_BLUE_RED vec3(0.027, 0.169, 0.451)
#endif
#ifndef PHTHALO_BLUE_RED
#define PHTHALO_BLUE_RED REMBRANDT_OIL_PHTHALO_BLUE_RED
#endif

#ifndef REMBRANDT_OIL_INDANTHRENE_BLUE
#define REMBRANDT_OIL_INDANTHRENE_BLUE vec3(0.118, 0.125, 0.184)
#endif
#ifndef INDANTHRENE_BLUE
#define INDANTHRENE_BLUE REMBRANDT_OIL_INDANTHRENE_BLUE
#endif

#ifndef REMBRANDT_OIL_COBALT_TURQUOISE_BLUE
#define REMBRANDT_OIL_COBALT_TURQUOISE_BLUE vec3(0.000, 0.376, 0.494)
#endif
#ifndef COBALT_TURQUOISE_BLUE
#define COBALT_TURQUOISE_BLUE REMBRANDT_OIL_COBALT_TURQUOISE_BLUE
#endif

#ifndef REMBRANDT_OIL_COBALT_GREEN
#define REMBRANDT_OIL_COBALT_GREEN vec3(0.000, 0.408, 0.353)
#endif
#ifndef COBALT_GREEN
#define COBALT_GREEN REMBRANDT_OIL_COBALT_GREEN
#endif

#ifndef REMBRANDT_OIL_VIRIDIAN
#define REMBRANDT_OIL_VIRIDIAN vec3(0.000, 0.349, 0.333)
#endif
#ifndef VIRIDIAN
#define VIRIDIAN REMBRANDT_OIL_VIRIDIAN
#endif

#ifndef REMBRANDT_OIL_SAP_GREEN
#define REMBRANDT_OIL_SAP_GREEN vec3(0.286, 0.388, 0.239)
#endif
#ifndef SAP_GREEN
#define SAP_GREEN REMBRANDT_OIL_SAP_GREEN
#endif

#ifndef REMBRANDT_OIL_CHROMIUM_OXIDE_GREEN
#define REMBRANDT_OIL_CHROMIUM_OXIDE_GREEN vec3(0.271, 0.416, 0.259)
#endif
#ifndef CHROMIUM_OXIDE_GREEN
#define CHROMIUM_OXIDE_GREEN REMBRANDT_OIL_CHROMIUM_OXIDE_GREEN
#endif

#ifndef REMBRANDT_OIL_PHTHALO_GREENBLUE
#define REMBRANDT_OIL_PHTHALO_GREENBLUE vec3(0.000, 0.263, 0.204)
#endif
#ifndef PHTHALO_GREENBLUE
#define PHTHALO_GREENBLUE REMBRANDT_OIL_PHTHALO_GREENBLUE
#endif

#ifndef REMBRANDT_OIL_PHTHALO_GREEN_YELLOW
#define REMBRANDT_OIL_PHTHALO_GREEN_YELLOW vec3(0.000, 0.322, 0.157)
#endif
#ifndef PHTHALO_GREEN_YELLOW
#define PHTHALO_GREEN_YELLOW REMBRANDT_OIL_PHTHALO_GREEN_YELLOW
#endif

#ifndef REMBRANDT_OIL_COBALT_TURQUOISE_GREEN
#define REMBRANDT_OIL_COBALT_TURQUOISE_GREEN vec3(0.137, 0.490, 0.337)
#endif
#ifndef COBALT_TURQUOISE_GREEN
#define COBALT_TURQUOISE_GREEN REMBRANDT_OIL_COBALT_TURQUOISE_GREEN
#endif

#ifndef REMBRANDT_OIL_IVORY_BLACK
#define REMBRANDT_OIL_IVORY_BLACK vec3(0.192, 0.200, 0.212)
#endif
#ifndef IVORY_BLACK
#define IVORY_BLACK REMBRANDT_OIL_IVORY_BLACK
#endif

