/*
contributors: Patricio Gonzalez Vivo
description: "RGB colors from Winsor & Newton's oil paint colors. \nBased on https://sensuallogic.com/artistcolordata\n"
examples:
    - https://raw.githubusercontent.com/patriciogonzalezvivo/lygia_examples/main/color_pigments.frag
license:
    - Copyright (c) 2021 Patricio Gonzalez Vivo under Prosperity License - https://prosperitylicense.com/versions/3.0.0
    - Copyright (c) 2021 Patricio Gonzalez Vivo under Patron License - https://lygia.xyz/license
*/

#ifndef WINDSOR_OIL_ALIZARIN_CRIMSON
#define WINDSOR_OIL_ALIZARIN_CRIMSON vec3(0.267, 0.008, 0.024)
#endif
#ifndef ALIZARIN_CRIMSON
#define ALIZARIN_CRIMSON WINDSOR_OIL_ALIZARIN_CRIMSON
#endif

#ifndef WINDSOR_OIL_BISMUTH_YELLOW
#define WINDSOR_OIL_BISMUTH_YELLOW vec3(1.000, 0.910, 0.000)
#endif
#ifndef BISMUTH_YELLOW
#define BISMUTH_YELLOW WINDSOR_OIL_BISMUTH_YELLOW
#endif

#ifndef WINDSOR_OIL_BRIGHT_RED
#define WINDSOR_OIL_BRIGHT_RED vec3(0.773, 0.000, 0.059)
#endif
#ifndef BRIGHT_RED
#define BRIGHT_RED WINDSOR_OIL_BRIGHT_RED
#endif

#ifndef WINDSOR_OIL_BURNT_SIENNA
#define WINDSOR_OIL_BURNT_SIENNA vec3(0.322, 0.165, 0.122)
#endif
#ifndef BURNT_SIENNA
#define BURNT_SIENNA WINDSOR_OIL_BURNT_SIENNA
#endif

#ifndef WINDSOR_OIL_BURNT_UMBER
#define WINDSOR_OIL_BURNT_UMBER vec3(0.196, 0.106, 0.059)
#endif
#ifndef BURNT_UMBER
#define BURNT_UMBER WINDSOR_OIL_BURNT_UMBER
#endif

#ifndef WINDSOR_OIL_CADMIUM_LEMON
#define WINDSOR_OIL_CADMIUM_LEMON vec3(1.000, 0.871, 0.000)
#endif
#ifndef CADMIUM_LEMON
#define CADMIUM_LEMON WINDSOR_OIL_CADMIUM_LEMON
#endif

#ifndef WINDSOR_OIL_CADMIUM_ORANGE
#define WINDSOR_OIL_CADMIUM_ORANGE vec3(0.867, 0.247, 0.000)
#endif
#ifndef CADMIUM_ORANGE
#define CADMIUM_ORANGE WINDSOR_OIL_CADMIUM_ORANGE
#endif

#ifndef WINDSOR_OIL_CADMIUM_RED
#define WINDSOR_OIL_CADMIUM_RED vec3(0.800, 0.047, 0.086)
#endif
#ifndef CADMIUM_RED
#define CADMIUM_RED WINDSOR_OIL_CADMIUM_RED
#endif

#ifndef WINDSOR_OIL_CADMIUM_RED_DEEP
#define WINDSOR_OIL_CADMIUM_RED_DEEP vec3(0.671, 0.000, 0.020)
#endif
#ifndef CADMIUM_RED_DEEP
#define CADMIUM_RED_DEEP WINDSOR_OIL_CADMIUM_RED_DEEP
#endif

#ifndef WINDSOR_OIL_CADMIUM_RED_MEDIUM
#define WINDSOR_OIL_CADMIUM_RED_MEDIUM vec3(0.867, 0.247, 0.000)
#endif
#ifndef CADMIUM_RED_MEDIUM
#define CADMIUM_RED_MEDIUM WINDSOR_OIL_CADMIUM_RED_MEDIUM
#endif

#ifndef WINDSOR_OIL_CADMIUM_RED_LIGHT
#define WINDSOR_OIL_CADMIUM_RED_LIGHT vec3(0.898, 0.165, 0.000)
#endif
#ifndef CADMIUM_RED_LIGHT
#define CADMIUM_RED_LIGHT WINDSOR_OIL_CADMIUM_RED_LIGHT
#endif

#ifndef WINDSOR_OIL_CADMIUM_RED_DARK
#define WINDSOR_OIL_CADMIUM_RED_DARK vec3(0.651, 0.000, 0.035)
#endif
#ifndef CADMIUM_RED_DARK
#define CADMIUM_RED_DARK WINDSOR_OIL_CADMIUM_RED_DARK
#endif

#ifndef WINDSOR_OIL_CADMIUM_YELLOW
#define WINDSOR_OIL_CADMIUM_YELLOW vec3(1.000, 0.643, 0.000)
#endif
#ifndef CADMIUM_YELLOW
#define CADMIUM_YELLOW WINDSOR_OIL_CADMIUM_YELLOW
#endif

#ifndef WINDSOR_OIL_CADMIUM_YELLOW_DEEP
#define WINDSOR_OIL_CADMIUM_YELLOW_DEEP vec3(1.000, 0.498, 0.059)
#endif
#ifndef CADMIUM_YELLOW_DEEP
#define CADMIUM_YELLOW_DEEP WINDSOR_OIL_CADMIUM_YELLOW_DEEP
#endif

#ifndef WINDSOR_OIL_CADMIUM_YELLOW_LIGHT
#define WINDSOR_OIL_CADMIUM_YELLOW_LIGHT vec3(1.000, 0.761, 0.000)
#endif
#ifndef CADMIUM_YELLOW_LIGHT
#define CADMIUM_YELLOW_LIGHT WINDSOR_OIL_CADMIUM_YELLOW_LIGHT
#endif

#ifndef WINDSOR_OIL_CADMIUM_YELLOW_MEDIUM
#define WINDSOR_OIL_CADMIUM_YELLOW_MEDIUM vec3(1.000, 0.631, 0.000)
#endif
#ifndef CADMIUM_YELLOW_MEDIUM
#define CADMIUM_YELLOW_MEDIUM WINDSOR_OIL_CADMIUM_YELLOW_MEDIUM
#endif

#ifndef WINDSOR_OIL_CERULEAN_BLUE
#define WINDSOR_OIL_CERULEAN_BLUE vec3(0.000, 0.392, 0.627)
#endif
#ifndef CERULEAN_BLUE
#define CERULEAN_BLUE WINDSOR_OIL_CERULEAN_BLUE
#endif

#ifndef WINDSOR_OIL_COBALT_BLUE
#define WINDSOR_OIL_COBALT_BLUE vec3(0.000, 0.161, 0.459)
#endif
#ifndef COBALT_BLUE
#define COBALT_BLUE WINDSOR_OIL_COBALT_BLUE
#endif

#ifndef WINDSOR_OIL_COBALT_BLUE_DEEP
#define WINDSOR_OIL_COBALT_BLUE_DEEP vec3(0.086, 0.690, 0.392)
#endif
#ifndef COBALT_BLUE_DEEP
#define COBALT_BLUE_DEEP WINDSOR_OIL_COBALT_BLUE_DEEP
#endif

#ifndef WINDSOR_OIL_COBALT_CHROMITE_GREEN
#define WINDSOR_OIL_COBALT_CHROMITE_GREEN vec3(0.180, 0.353, 0.298)
#endif
#ifndef COBALT_CHROMITE_GREEN
#define COBALT_CHROMITE_GREEN WINDSOR_OIL_COBALT_CHROMITE_GREEN
#endif

#ifndef WINDSOR_OIL_COBALT_GREEN
#define WINDSOR_OIL_COBALT_GREEN vec3(0.000, 0.482, 0.431)
#endif
#ifndef COBALT_GREEN
#define COBALT_GREEN WINDSOR_OIL_COBALT_GREEN
#endif

#ifndef WINDSOR_OIL_COBALT_TURQUOISE
#define WINDSOR_OIL_COBALT_TURQUOISE vec3(0.000, 0.388, 0.498)
#endif
#ifndef COBALT_TURQUOISE
#define COBALT_TURQUOISE WINDSOR_OIL_COBALT_TURQUOISE
#endif

#ifndef WINDSOR_OIL_COBALT_TURQUOISE_LIGHT
#define WINDSOR_OIL_COBALT_TURQUOISE_LIGHT vec3(0.000, 0.616, 0.627)
#endif
#ifndef COBALT_TURQUOISE_LIGHT
#define COBALT_TURQUOISE_LIGHT WINDSOR_OIL_COBALT_TURQUOISE_LIGHT
#endif

#ifndef WINDSOR_OIL_COBALT_VIOLET
#define WINDSOR_OIL_COBALT_VIOLET vec3(0.306, 0.090, 0.314)
#endif
#ifndef COBALT_VIOLET
#define COBALT_VIOLET WINDSOR_OIL_COBALT_VIOLET
#endif

#ifndef WINDSOR_OIL_FRENCH_ULTRAMARINE
#define WINDSOR_OIL_FRENCH_ULTRAMARINE vec3(0.196, 0.239, 0.643)
#endif
#ifndef FRENCH_ULTRAMARINE
#define FRENCH_ULTRAMARINE WINDSOR_OIL_FRENCH_ULTRAMARINE
#endif

#ifndef WINDSOR_OIL_GOLD_OCHRE
#define WINDSOR_OIL_GOLD_OCHRE vec3(0.659, 0.443, 0.145)
#endif
#ifndef GOLD_OCHRE
#define GOLD_OCHRE WINDSOR_OIL_GOLD_OCHRE
#endif

#ifndef WINDSOR_OIL_GREEN_GOLD
#define WINDSOR_OIL_GREEN_GOLD vec3(0.278, 0.290, 0.055)
#endif
#ifndef GREEN_GOLD
#define GREEN_GOLD WINDSOR_OIL_GREEN_GOLD
#endif

#ifndef WINDSOR_OIL_INDIAN_YELLOW
#define WINDSOR_OIL_INDIAN_YELLOW vec3(0.565, 0.341, 0.000)
#endif
#ifndef INDIAN_YELLOW
#define INDIAN_YELLOW WINDSOR_OIL_INDIAN_YELLOW
#endif

#ifndef WINDSOR_OIL_INDIAN_YELLOW_DEEP
#define WINDSOR_OIL_INDIAN_YELLOW_DEEP vec3(0.467, 0.333, 0.102)
#endif
#ifndef INDIAN_YELLOW_DEEP
#define INDIAN_YELLOW_DEEP WINDSOR_OIL_INDIAN_YELLOW_DEEP
#endif

#ifndef WINDSOR_OIL_INDANTHRENE_BLUE
#define WINDSOR_OIL_INDANTHRENE_BLUE vec3(0.129, 0.090, 0.224)
#endif
#ifndef INDANTHRENE_BLUE
#define INDANTHRENE_BLUE WINDSOR_OIL_INDANTHRENE_BLUE
#endif

#ifndef WINDSOR_OIL_IVORY_BLACK
#define WINDSOR_OIL_IVORY_BLACK vec3(0.063, 0.059, 0.067)
#endif
#ifndef IVORY_BLACK
#define IVORY_BLACK WINDSOR_OIL_IVORY_BLACK
#endif

#ifndef WINDSOR_OIL_LAMP_BLACK
#define WINDSOR_OIL_LAMP_BLACK vec3(0.102, 0.106, 0.106)
#endif
#ifndef LAMP_BLACK
#define LAMP_BLACK WINDSOR_OIL_LAMP_BLACK
#endif

#ifndef WINDSOR_OIL_LEMON_YELLOW
#define WINDSOR_OIL_LEMON_YELLOW vec3(0.922, 0.843, 0.329)
#endif
#ifndef LEMON_YELLOW
#define LEMON_YELLOW WINDSOR_OIL_LEMON_YELLOW
#endif

#ifndef WINDSOR_OIL_MAGENTA
#define WINDSOR_OIL_MAGENTA vec3(0.384, 0.016, 0.125)
#endif
#ifndef MAGENTA
#define MAGENTA WINDSOR_OIL_MAGENTA
#endif

#ifndef WINDSOR_OIL_MARS_BLACK
#define WINDSOR_OIL_MARS_BLACK vec3(0.153, 0.149, 0.153)
#endif
#ifndef MARS_BLACK
#define MARS_BLACK WINDSOR_OIL_MARS_BLACK
#endif

#ifndef WINDSOR_OIL_NAPLES_YELLOW_DEEP
#define WINDSOR_OIL_NAPLES_YELLOW_DEEP vec3(0.871, 0.612, 0.282)
#endif
#ifndef NAPLES_YELLOW_DEEP
#define NAPLES_YELLOW_DEEP WINDSOR_OIL_NAPLES_YELLOW_DEEP
#endif

#ifndef WINDSOR_OIL_NAPLES_YELLOW_LIGHT
#define WINDSOR_OIL_NAPLES_YELLOW_LIGHT vec3(1.000, 0.890, 0.592)
#endif
#ifndef NAPLES_YELLOW_LIGHT
#define NAPLES_YELLOW_LIGHT WINDSOR_OIL_NAPLES_YELLOW_LIGHT
#endif

#ifndef WINDSOR_OIL_OLIVE_GREEN
#define WINDSOR_OIL_OLIVE_GREEN vec3(0.184, 0.169, 0.125)
#endif
#ifndef OLIVE_GREEN
#define OLIVE_GREEN WINDSOR_OIL_OLIVE_GREEN
#endif

#ifndef WINDSOR_OIL_OXIDE_OF_CHROMIUM
#define WINDSOR_OIL_OXIDE_OF_CHROMIUM vec3(0.224, 0.373, 0.227)
#endif
#ifndef OXIDE_OF_CHROMIUM
#define OXIDE_OF_CHROMIUM WINDSOR_OIL_OXIDE_OF_CHROMIUM
#endif

#ifndef WINDSOR_OIL_PERMANENT_ALIZARIN_CRIMSON
#define WINDSOR_OIL_PERMANENT_ALIZARIN_CRIMSON vec3(0.329, 0.008, 0.067)
#endif
#ifndef PERMANENT_ALIZARIN_CRIMSON
#define PERMANENT_ALIZARIN_CRIMSON WINDSOR_OIL_PERMANENT_ALIZARIN_CRIMSON
#endif

#ifndef WINDSOR_OIL_PERMANENT_MAGENTA
#define WINDSOR_OIL_PERMANENT_MAGENTA vec3(0.278, 0.063, 0.102)
#endif
#ifndef PERMANENT_MAGENTA
#define PERMANENT_MAGENTA WINDSOR_OIL_PERMANENT_MAGENTA
#endif

#ifndef WINDSOR_OIL_PERMANENT_MAUVE
#define WINDSOR_OIL_PERMANENT_MAUVE vec3(0.267, 0.196, 0.286)
#endif
#ifndef PERMANENT_MAUVE
#define PERMANENT_MAUVE WINDSOR_OIL_PERMANENT_MAUVE
#endif

#ifndef WINDSOR_OIL_PERYLENE_BLACK
#define WINDSOR_OIL_PERYLENE_BLACK vec3(0.133, 0.094, 0.094)
#endif
#ifndef PERYLENE_BLACK
#define PERYLENE_BLACK WINDSOR_OIL_PERYLENE_BLACK
#endif

#ifndef WINDSOR_OIL_PRUSSIAN_BLUE
#define WINDSOR_OIL_PRUSSIAN_BLUE vec3(0.071, 0.110, 0.161)
#endif
#ifndef PRUSSIAN_BLUE
#define PRUSSIAN_BLUE WINDSOR_OIL_PRUSSIAN_BLUE
#endif

#ifndef WINDSOR_OIL_QUINACRIDONE_MAGENTA
#define WINDSOR_OIL_QUINACRIDONE_MAGENTA vec3(0.424, 0.031, 0.141)
#endif
#ifndef QUINACRIDONE_MAGENTA
#define QUINACRIDONE_MAGENTA WINDSOR_OIL_QUINACRIDONE_MAGENTA
#endif

#ifndef WINDSOR_OIL_QUINACRIDONE_RED
#define WINDSOR_OIL_QUINACRIDONE_RED vec3(0.565, 0.125, 0.157)
#endif
#ifndef QUINACRIDONE_RED
#define QUINACRIDONE_RED WINDSOR_OIL_QUINACRIDONE_RED
#endif

#ifndef WINDSOR_OIL_RAW_SIENNA
#define WINDSOR_OIL_RAW_SIENNA vec3(0.510, 0.325, 0.153)
#endif
#ifndef RAW_SIENNA
#define RAW_SIENNA WINDSOR_OIL_RAW_SIENNA
#endif

#ifndef WINDSOR_OIL_RAW_UMBER
#define WINDSOR_OIL_RAW_UMBER vec3(0.251, 0.192, 0.137)
#endif
#ifndef RAW_UMBER
#define RAW_UMBER WINDSOR_OIL_RAW_UMBER
#endif

#ifndef WINDSOR_OIL_ROSE_MADDER_GENUINE
#define WINDSOR_OIL_ROSE_MADDER_GENUINE vec3(0.271, 0.208, 0.208)
#endif
#ifndef ROSE_MADDER_GENUINE
#define ROSE_MADDER_GENUINE WINDSOR_OIL_ROSE_MADDER_GENUINE
#endif

#ifndef WINDSOR_OIL_SCARLET_LAKE
#define WINDSOR_OIL_SCARLET_LAKE vec3(0.835, 0.129, 0.086)
#endif
#ifndef SCARLET_LAKE
#define SCARLET_LAKE WINDSOR_OIL_SCARLET_LAKE
#endif

#ifndef WINDSOR_OIL_TERRA_ROSA
#define WINDSOR_OIL_TERRA_ROSA vec3(0.573, 0.294, 0.247)
#endif
#ifndef TERRA_ROSA
#define TERRA_ROSA WINDSOR_OIL_TERRA_ROSA
#endif

#ifndef WINDSOR_OIL_TERRE_VERTE
#define WINDSOR_OIL_TERRE_VERTE vec3(0.149, 0.231, 0.184)
#endif
#ifndef TERRE_VERTE
#define TERRE_VERTE WINDSOR_OIL_TERRE_VERTE
#endif

#ifndef WINDSOR_OIL_TITANIUM_WHITE
#define WINDSOR_OIL_TITANIUM_WHITE vec3(0.984, 0.980, 0.945)
#endif
#ifndef TITANIUM_WHITE
#define TITANIUM_WHITE WINDSOR_OIL_TITANIUM_WHITE
#endif

#ifndef WINDSOR_OIL_TRANSPARENT_RED_OCHRE
#define WINDSOR_OIL_TRANSPARENT_RED_OCHRE vec3(0.584, 0.259, 0.157)
#endif
#ifndef TRANSPARENT_RED_OCHRE
#define TRANSPARENT_RED_OCHRE WINDSOR_OIL_TRANSPARENT_RED_OCHRE
#endif

#ifndef WINDSOR_OIL_TRANSPARENT_YELLOW
#define WINDSOR_OIL_TRANSPARENT_YELLOW vec3(0.914, 0.635, 0.000)
#endif
#ifndef TRANSPARENT_YELLOW
#define TRANSPARENT_YELLOW WINDSOR_OIL_TRANSPARENT_YELLOW
#endif

#ifndef WINDSOR_OIL_TRANSPARENT_MAROON
#define WINDSOR_OIL_TRANSPARENT_MAROON vec3(0.275, 0.082, 0.067)
#endif
#ifndef TRANSPARENT_MAROON
#define TRANSPARENT_MAROON WINDSOR_OIL_TRANSPARENT_MAROON
#endif

#ifndef WINDSOR_OIL_ULTRAMARINE_VIOLET
#define WINDSOR_OIL_ULTRAMARINE_VIOLET vec3(0.243, 0.149, 0.494)
#endif
#ifndef ULTRAMARINE_VIOLET
#define ULTRAMARINE_VIOLET WINDSOR_OIL_ULTRAMARINE_VIOLET
#endif

#ifndef WINDSOR_OIL_VANDYKE_BROWN
#define WINDSOR_OIL_VANDYKE_BROWN vec3(0.153, 0.106, 0.075)
#endif
#ifndef VANDYKE_BROWN
#define VANDYKE_BROWN WINDSOR_OIL_VANDYKE_BROWN
#endif

#ifndef WINDSOR_OIL_VENETIAN_RED
#define WINDSOR_OIL_VENETIAN_RED vec3(0.498, 0.192, 0.114)
#endif
#ifndef VENETIAN_RED
#define VENETIAN_RED WINDSOR_OIL_VENETIAN_RED
#endif

#ifndef WINDSOR_OIL_VIRIDIAN
#define WINDSOR_OIL_VIRIDIAN vec3(0.000, 0.243, 0.208)
#endif
#ifndef VIRIDIAN
#define VIRIDIAN WINDSOR_OIL_VIRIDIAN
#endif

#ifndef WINDSOR_OIL_WINSOR_EMERALD
#define WINDSOR_OIL_WINSOR_EMERALD vec3(0.000, 0.525, 0.329)
#endif
#ifndef WINSOR_EMERALD
#define WINSOR_EMERALD WINDSOR_OIL_WINSOR_EMERALD
#endif

#ifndef WINDSOR_OIL_WINSOR_GREEN_PHTHALO
#define WINDSOR_OIL_WINSOR_GREEN_PHTHALO vec3(0.000, 0.196, 0.157)
#endif
#ifndef WINSOR_GREEN_PHTHALO
#define WINSOR_GREEN_PHTHALO WINDSOR_OIL_WINSOR_GREEN_PHTHALO
#endif

#ifndef WINDSOR_OIL_WINSOR_GREEN_YELLOW_SHADE
#define WINDSOR_OIL_WINSOR_GREEN_YELLOW_SHADE vec3(0.000, 0.235, 0.129)
#endif
#ifndef WINSOR_GREEN_YELLOW_SHADE
#define WINSOR_GREEN_YELLOW_SHADE WINDSOR_OIL_WINSOR_GREEN_YELLOW_SHADE
#endif

#ifndef WINDSOR_OIL_WINSOR_LEMON
#define WINDSOR_OIL_WINSOR_LEMON vec3(0.973, 0.255, 0.000)
#endif
#ifndef WINSOR_LEMON
#define WINSOR_LEMON WINDSOR_OIL_WINSOR_LEMON
#endif

#ifndef WINDSOR_OIL_WINSOR_ORANGE
#define WINDSOR_OIL_WINSOR_ORANGE vec3(0.506, 0.000, 0.094)
#endif
#ifndef WINSOR_ORANGE
#define WINSOR_ORANGE WINDSOR_OIL_WINSOR_ORANGE
#endif

#ifndef WINDSOR_OIL_WINSOR_RED_DEEP
#define WINDSOR_OIL_WINSOR_RED_DEEP vec3(1.000, 0.800, 0.000)
#endif
#ifndef WINSOR_RED_DEEP
#define WINSOR_RED_DEEP WINDSOR_OIL_WINSOR_RED_DEEP
#endif

#ifndef WINDSOR_OIL_WINSOR_YELLOW
#define WINDSOR_OIL_WINSOR_YELLOW vec3(1.000, 0.569, 0.000)
#endif
#ifndef WINSOR_YELLOW
#define WINSOR_YELLOW WINDSOR_OIL_WINSOR_YELLOW
#endif

#ifndef WINDSOR_OIL_WINSOR_YELLOW_DEEP
#define WINDSOR_OIL_WINSOR_YELLOW_DEEP vec3(0.114, 0.090, 0.161)
#endif
#ifndef WINSOR_YELLOW_DEEP
#define WINSOR_YELLOW_DEEP WINDSOR_OIL_WINSOR_YELLOW_DEEP
#endif

#ifndef WINDSOR_OIL_WINSOR_VIOLET_DIOXAZINE
#define WINDSOR_OIL_WINSOR_VIOLET_DIOXAZINE vec3(0.592, 0.408, 0.184)
#endif
#ifndef WINSOR_VIOLET_DIOXAZINE
#define WINSOR_VIOLET_DIOXAZINE WINDSOR_OIL_WINSOR_VIOLET_DIOXAZINE
#endif

#ifndef WINDSOR_OIL_ZINC_WHITE
#define WINDSOR_OIL_ZINC_WHITE vec3(0.976, 0.973, 0.922)
#endif
#ifndef ZINC_WHITE
#define ZINC_WHITE WINDSOR_OIL_ZINC_WHITE
#endif

#ifndef WINDSOR_OIL_YELLOW_OCHRE
#define WINDSOR_OIL_YELLOW_OCHRE vec3(0.733, 0.502, 0.071)
#endif
#ifndef YELLOW_OCHRE
#define YELLOW_OCHRE WINDSOR_OIL_YELLOW_OCHRE
#endif

